(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1852,
	height: 911,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/_2117_1.png", id:"_2117_1"},
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfx_drop.png", id:"gfx_drop"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,392.2,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(926,455.5,1853,912);
p.frameBounds = [rect];


// symbols:
(lib._2117_1 = function() {
	this.initialize(img._2117_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1600,1587);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,259,231);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,321,155);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,322,116);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,276,243);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,364,258);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,409,236);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,259,231);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,364,258);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,302,220);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,396,259);


(lib.gfx_drop = function() {
	this.initialize(img.gfx_drop);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,200,200);


(lib.Symbol1copy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(11.2,42.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(11.2,42.8,396,259);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-2.4,-4.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-2.4,-4.6,409,236);
p.frameBounds = [rect];


(lib.olowekpolamany = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-5.1,-6.4);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-5.1,-6.4,321,155);
p.frameBounds = [rect];


(lib.olowek = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-5.5,-4.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-5.5,-4.6,276,243);
p.frameBounds = [rect];


(lib.kompcopy2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-17.7,99.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-17.7,99.8,322,116);
p.frameBounds = [rect];


(lib.komp = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-8.7,-4.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-8.7,-4.5,302,220);
p.frameBounds = [rect];


(lib.gfx_drop_mc = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfx_drop();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,200,200);
p.frameBounds = [rect];


(lib.bookcopy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-6.8,-11.7);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-6.8,-11.7,364,258);
p.frameBounds = [rect];


(lib.book = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-6.8,-11.7);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-6.8,-11.7,364,258);
p.frameBounds = [rect];


(lib.bluzkacopy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,259,231);
p.frameBounds = [rect];


(lib.bluzka = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,259,231);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '2117',
			title: 'Wskaż przedmioty, które kojarzą się z oszczędzaniem pieniędzy.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: ['1','2','3','4','5'],
				2: ['6','7','8','9','10'],
			},
			/*
			groupdrops: {
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			*/
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/	'1',
				/*drop_5:*/	'1',
			],
			range: 100,
			alpha: 0,
			alpha2: 0,
			scale: 0.6,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 0,
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drop
	this.drop_5 = new lib.gfx_drop_mc();
	this.drop_5.setTransform(1476.4,164.1,1.46,1.46,0,0,0,100,100);
	this.drop_5.alpha = 0.199;

	this.drop_4 = new lib.gfx_drop_mc();
	this.drop_4.setTransform(1360.4,528.1,1.46,1.46,0,0,0,100,100);
	this.drop_4.alpha = 0.199;

	this.drop_3 = new lib.gfx_drop_mc();
	this.drop_3.setTransform(952.3,718.2,1.46,1.46,0,0,0,100,100);
	this.drop_3.alpha = 0.199;

	this.drop_2 = new lib.gfx_drop_mc();
	this.drop_2.setTransform(544.2,522.1,1.46,1.46,0,0,0,100,100);
	this.drop_2.alpha = 0.199;

	this.drop_1 = new lib.gfx_drop_mc();
	this.drop_1.setTransform(444.1,150,1.46,1.46,0,0,0,100,100);
	this.drop_1.alpha = 0.199;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5}]}).wait(1));

	// content
	this.drag_2 = new lib.kompcopy2();
	this.drag_2.setTransform(225.1,536.2,0.801,0.801,0,0,0,143.3,157.7);

	this.drag_8 = new lib.komp();
	this.drag_8.setTransform(687.2,791.1,0.801,0.801,0,0,0,145.3,106.6);

	this.drag_7 = new lib.bookcopy();
	this.drag_7.setTransform(350.4,781.9,0.801,0.801,0,0,0,171.6,117.6);

	this.drag_4 = new lib.book();
	this.drag_4.setTransform(1265.2,805.8,0.801,0.801,0,0,0,171.6,117.7);

	this.drag_10 = new lib.olowekpolamany();
	this.drag_10.setTransform(1641.8,553.4,0.801,0.801,0,0,0,157.5,71.7);

	this.drag_1 = new lib.olowek();
	this.drag_1.setTransform(206,387.7,0.801,0.801,0,0,0,131.8,117.1);

	this.drag_9 = new lib.Symbol1copy();
	this.drag_9.setTransform(1596.2,734.5,0.801,0.801,0,0,0,202.1,114.8);

	this.drag_5 = new lib.Symbol1();
	this.drag_5.setTransform(1689.2,385.9,0.801,0.801,0,0,0,202.1,114.9);

	this.drag_6 = new lib.bluzkacopy();
	this.drag_6.setTransform(151.4,239.2,0.801,0.801,0,0,0,129.3,115.4);

	this.drag_3 = new lib.bluzka();
	this.drag_3.setTransform(103.6,733.7,0.801,0.801,0,0,0,129.3,115.4);

	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#4EA334").ss(4.8,2,0,44).p("AQkwkQG4G4AAJsQAAJtm4G3Qm3G4ptAAQpsAAm4m4Qm3m3AAptQAApsG3m4QG4m3JsAAQJtAAG3G3g");
	this.shape.setTransform(1477.5,164.1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#F9F2E9").s().p("AwjQkQm4m3AAptQAApsG4m3QG3m4JsAAQJtAAG4G4QG3G3AAJsQAAJtm3G3Qm4G4ptAAQpsAAm3m4g");
	this.shape_1.setTransform(1477.5,164.1);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f().s("#4EA334").ss(4.8,2,0,44).p("AQkwkQG4G4AAJsQAAJtm4G3Qm3G4ptAAQpsAAm4m4Qm3m3AAptQAApsG3m4QG4m3JsAAQJtAAG3G3g");
	this.shape_2.setTransform(1361.4,528.2);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#F9F2E9").s().p("AwjQkQm4m3AAptQAApsG4m3QG3m4JsAAQJtAAG4G4QG3G3AAJsQAAJtm3G3Qm4G4ptAAQpsAAm3m4g");
	this.shape_3.setTransform(1361.4,528.2);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f().s("#4EA334").ss(4.8,2,0,44).p("AQkwkQG4G4AAJsQAAJtm4G3Qm3G4ptAAQpsAAm4m4Qm3m3AAptQAApsG3m4QG4m3JsAAQJtAAG3G3g");
	this.shape_4.setTransform(952.1,718.2);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#F9F2E9").s().p("AwjQkQm4m3AAptQAApsG4m3QG3m4JsAAQJtAAG4G4QG3G3AAJsQAAJtm3G3Qm4G4ptAAQpsAAm3m4g");
	this.shape_5.setTransform(952.1,718.2);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f().s("#4EA334").ss(4.8,2,0,44).p("AQkwkQG4G4AAJsQAAJtm4G3Qm3G4ptAAQpsAAm4m4Qm3m3AAptQAApsG3m4QG4m3JsAAQJtAAG3G3g");
	this.shape_6.setTransform(544.1,522.2);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#F9F2E9").s().p("AwjQkQm4m3AAptQAApsG4m3QG3m4JsAAQJtAAG4G4QG3G3AAJsQAAJtm3G3Qm4G4ptAAQpsAAm3m4g");
	this.shape_7.setTransform(544.1,522.2);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f().s("#4EA334").ss(4.8,2,0,44).p("AQkwkQG4G4AAJsQAAJtm4G3Qm3G4ptAAQpsAAm4m4Qm3m3AAptQAApsG3m4QG4m3JsAAQJtAAG3G3g");
	this.shape_8.setTransform(444,150.1);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#F9F2E9").s().p("AwjQkQm4m3AAptQAApsG4m3QG3m4JsAAQJtAAG4G4QG3G3AAJsQAAJtm3G3Qm4G4ptAAQpsAAm3m4g");
	this.shape_9.setTransform(444,150.1);

	this.instance = new lib._2117_1();
	this.instance.setTransform(692.4,14,0.324,0.324);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.shape_9},{t:this.shape_8},{t:this.shape_7},{t:this.shape_6},{t:this.shape_5},{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape},{t:this.drag_3},{t:this.drag_6},{t:this.drag_5},{t:this.drag_9},{t:this.drag_1},{t:this.drag_10},{t:this.drag_4},{t:this.drag_7},{t:this.drag_8},{t:this.drag_2}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(0,-2.4,1853,911.2);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;